package com.jxy.marketall;

import com.jxy.common.swagger.annotation.EnableCustomSwagger2;
import com.jxy.common.security.annotation.EnableCustomConfig;
import com.jxy.common.security.annotation.EnableJXYFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

/**
 * @Description marketall服务入口类
 * @Date 2022/5/19 18:42
 * @Author 杜懿
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableJXYFeignClients
@SpringBootApplication
@MapperScan("com.jxy.marketall.mapper")
public class JXYMarketallApplication {

    @Bean
    public RestTemplate restTemplate(){
        return new RestTemplate();
    }

    public static void main(String[] args) {
        SpringApplication.run(JXYMarketallApplication.class,args);
        System.out.println("marketall微服务启动成功");
    }

}
